Unit XFrames;

Interface

USES PktDefs in 'thamm1u.pas';

TYPE
  tFrames = Object
    FileName : String(100);

    constructor init(datafilename : string);
    destructor done;
    function GetNextDataPkt(VAR pkt : PacketPtr) : BOOLEAN;
  end;

Implementation

constructor tFrames.init(datafilename : string);
begin
  FileName := datafilename;
end;

destructor tFrames.done;
begin
end;

function tFrames.GetNextDataPkt(VAR pkt : PacketPtr) : BOOLEAN;
begin
  GetNextDataPkt := TRUE;
end;

END.
